<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/theme_background_color"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        android:fitsSystemWindows="true"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/ll_input_phone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_20"
            android:orientation="horizontal">

            <com.rengwuxian.materialedittext.MaterialEditText
                android:id="@+id/ed_phone"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:hint="請輸入手機號"
                android:lines="1"
                android:textSize="@dimen/sp_14"
                android:inputType="number"
                android:background="@drawable/table_shape_input_table_number_frame"
                app:met_autoValidate="true"
                app:met_baseColor="@color/theme_black"
                app:met_clearButton="true"
                app:met_floatingLabel="highlight"
                app:met_iconPadding="2dp"
                app:met_primaryColor="@color/theme_color"
                app:met_singleLineEllipsis="false" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                android:id="@+id/btn_query_memeber"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_40"
                android:layout_marginLeft="@dimen/dp_10"
                android:background="@color/theme_color"
                android:text="查詢"
                android:textColor="@color/theme_white_color" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_memeber_info"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/ll_input_phone"
            android:layout_above="@+id/btn_scan"/>

        <ImageView
            android:id="@+id/iv_no_data"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@drawable/png_no_record"
            android:layout_centerInParent="true"
            android:visibility="invisible"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_scan"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:layout_margin="@dimen/dp_20"
            android:layout_alignParentBottom="true"
            android:background="@color/theme_color"
            android:text="掃碼"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_14"
            android:textStyle="bold"/>

        <LinearLayout
            android:id="@+id/ll_bottom"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:layout_alignParentBottom="true"
            android:orientation="horizontal"
            android:visibility="invisible">

            <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                android:id="@+id/btn_use_member"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="bottom"
                android:layout_weight="1"
                android:background="@color/green_400"
                android:clickable="true"
                android:text="使用會員"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/sp_14" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                android:id="@+id/btn_clear_member"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="bottom"
                android:layout_weight="1"
                android:background="@color/blue_400"
                android:clickable="true"
                android:visibility="visible"
                android:text="清除"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>
    </RelativeLayout>
</LinearLayout>